Subject: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2019 19:50:30 +0200

> From: Carlos Pita <[email-masked]>
> Date: Sun, 27 Oct 2019 14:19:51 -0300
> Cc: Juanma Barranquero <[email-masked]>, [email-masked]
> 
> You dislike the instrumenting/monkey-patching approach, be it by
> advicing or by directly accessing the function slot of the symbol. I'm
> not sure why

It's in the ELisp manual: Emacs's own code should avoid advices.  The
reason is it complicates code reading and debugging, and it also looks
like we are not familiar with our own code, so we piggy-back it
instead of changing it.

> we could add some global flag or something that message could check
> in order to change its output destination. That wouldn't be an
> instrumentation.

Some infrastructure that would allow doing that would be nice.  Maybe
we should have delayed-message, like we have delayed-warning.